> For the complete documentation index, see [llms.txt](https://docs.mews.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mews.com/connector-api/operations/taxenvironments.md).

# Tax environments

## Get all tax environments

Returns all tax environments supported by the API.

### Request

`[PlatformAddress]/api/connector/v1/taxEnvironments/getAll`

```javascript
{
  "ClientToken": "E0D439EE522F44368DC78E1BFB03710C-D24FB11DBE31D4621C4817E028D9E1D",
  "AccessToken": "C66EF7B239D24632943D115EDE9CB810-EA00F8FD8294692C940F6B5A8F9453D",
  "Client": "Sample Client 1.0.0"
}
```

| Property      | Type   | Contract | Description                                 |
| ------------- | ------ | -------- | ------------------------------------------- |
| `ClientToken` | string | required | Token identifying the client application.   |
| `AccessToken` | string | required | Access token of the client application.     |
| `Client`      | string | required | Name and version of the client application. |

### Response

```javascript
{
  "TaxEnvironments": [
    {
      "Code": "AT-2020",
      "CountryCode": "AUT",
      "ValidityStartUtc": "2020-06-30T22:00:00Z",
      "ValidityEndUtc": null,
      "TaxationCodes": [
        "AT-2020"
      ]
    },
    {
      "Code": "AW-2023",
      "CountryCode": "ABW",
      "ValidityStartUtc": "2023-01-01T04:00:00Z",
      "ValidityEndUtc": null,
      "TaxationCodes": [
        "AW-2023",
        "AW-TOURIST-2023",
        "AW-RESIDENCE"
      ]
    },
    {
      "Code": "CA-QC-TR-2023",
      "CountryCode": "CAN",
      "ValidityStartUtc": "2023-10-19T19:00:00Z",
      "ValidityEndUtc": null,
      "TaxationCodes": [
        "CA-TR-2023",
        "CA-QC-2023",
        "CA-QC-LODGING-2023",
        "CA-QC-LO-FLAT"
      ]
    },
    {
      "Code": "PH-MA-CUSTOM",
      "CountryCode": "PHL",
      "ValidityStartUtc": null,
      "ValidityEndUtc": null,
      "TaxationCodes": [
        "PH",
        "PH-MA-CUSTOM",
        "PH-MA-SERVICE"
      ]
    }
  ]
}
```

| Property          | Type                                         | Contract | Description                     |
| ----------------- | -------------------------------------------- | -------- | ------------------------------- |
| `TaxEnvironments` | array of [Tax environment](#tax-environment) | required | The supported tax environments. |

#### Tax environment

Tax environment represents set of `Taxation` together with optional validity interval.

| Property           | Type            | Contract | Description                                                                                |
| ------------------ | --------------- | -------- | ------------------------------------------------------------------------------------------ |
| `Code`             | string          | required | Code of the tax environment.                                                               |
| `CountryCode`      | string          | required | ISO 3166-1 alpha-3 code of associated country, e.g. `USA` or `GBR`.                        |
| `ValidityStartUtc` | string          | optional | If specified, marks the start of the validity interval in UTC timezone in ISO 8601 format. |
| `ValidityEndUtc`   | string          | optional | If specified, marks the end of the validity interval in UTC timezone in ISO 8601 format.   |
| `TaxationCodes`    | array of string | required | Codes of the `Taxation` that are used by this environment.                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mews.com/connector-api/operations/taxenvironments.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
